public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2016-10-09 10:23 Gilles Dartiguelongue
  0 siblings, 0 replies; 6+ messages in thread
From: Gilles Dartiguelongue @ 2016-10-09 10:23 UTC (permalink / raw
  To: gentoo-commits

commit:     e5501924739b1aaf57ef42d40489a62750d21a9e
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  9 09:33:44 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct  9 10:23:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5501924

x11-themes/vertex-icon-theme: initial ebuild

Complements x11-themes/vertex-theme

Gentoo-bug: 550732
Package-Manager: portage-2.3.1

 x11-themes/vertex-icon-theme/Manifest              |  1 +
 x11-themes/vertex-icon-theme/metadata.xml          |  8 +++
 .../vertex-icon-theme-20150506.ebuild              | 60 ++++++++++++++++++++++
 3 files changed, 69 insertions(+)

diff --git a/x11-themes/vertex-icon-theme/Manifest b/x11-themes/vertex-icon-theme/Manifest
new file mode 100644
index 00000000..bc1ce09
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/Manifest
@@ -0,0 +1 @@
+DIST vertex-icon-theme-20150506.tar.gz 5578183 SHA256 ef297f04497efa4665e9bd53ced04177b24d7fa32c8422abe649ec0ea789524d SHA512 24176527f50eb2f23621d9dffe9829aba44507939a3ce67dad5480f4297d5004ddccc575b68e86ff9d6db1e5124b89832eff801fab95baf2ca30e305d8083324 WHIRLPOOL e3efffffbad93178a6a364d2615e1e102b0e43d1a80db711b83037f65ee404a49a6e1301acb2030542b0e405172c5638872690c14a23c99fd2f86df1d25673b2

diff --git a/x11-themes/vertex-icon-theme/metadata.xml b/x11-themes/vertex-icon-theme/metadata.xml
new file mode 100644
index 00000000..4cbddca
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>gnome@gentoo.org</email>
+    <name>Gentoo GNOME Desktop</name>
+  </maintainer>
+</pkgmetadata>

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
new file mode 100644
index 00000000..5a2d76a
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2-utils
+
+MY_PN="vertex-icons"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/horst3180/${MY_PN}"
+	SRC_URI=""
+	KEYWORDS=""
+else
+	EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
+	SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
+fi
+
+DESCRIPTION="Vertex icon theme"
+HOMEPAGE="https://github.com/horst3180/vertex-icons"
+
+LICENSE="|| ( GPL-3 GPL-2 LGPL-3 CC-BY-SA-3.0 )"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+	>=x11-themes/hicolor-icon-theme-0.10
+"
+DEPEND=""
+
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+	default
+	rm COPYING README.md || die
+
+	insinto /usr/share/icons/Vertex
+	doins -r *
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2016-10-09 10:48 Gilles Dartiguelongue
  0 siblings, 0 replies; 6+ messages in thread
From: Gilles Dartiguelongue @ 2016-10-09 10:48 UTC (permalink / raw
  To: gentoo-commits

commit:     0c989f8f1989d6ef7ab29765563762003cfd98db
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  9 10:26:30 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct  9 10:48:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c989f8f

x11-themes/vertex-icon-theme: add upstream remote-id to metadata

Package-Manager: portage-2.3.1

 x11-themes/vertex-icon-theme/metadata.xml | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/x11-themes/vertex-icon-theme/metadata.xml b/x11-themes/vertex-icon-theme/metadata.xml
index 4cbddca..7119477 100644
--- a/x11-themes/vertex-icon-theme/metadata.xml
+++ b/x11-themes/vertex-icon-theme/metadata.xml
@@ -1,8 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-  <maintainer type="project">
-    <email>gnome@gentoo.org</email>
-    <name>Gentoo GNOME Desktop</name>
-  </maintainer>
+	<maintainer type="project">
+		<email>gnome@gentoo.org</email>
+		<name>Gentoo GNOME Desktop</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">horst3180/vertex-icons</remote-id>
+	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2017-02-11 18:31 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2017-02-11 18:31 UTC (permalink / raw
  To: gentoo-commits

commit:     eb3b2234107ed9833db6c5e09ea72548aa7b312d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 18:10:56 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 18:30:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb3b2234

x11-themes/vertex-icon-theme: x86 stable, bug 606818

Package-Manager: Portage-2.3.3, Repoman-2.3.1
RepoMan-Options: --include-arches="x86"

 x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
index de7e24ea60..055f0f5139 100644
--- a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
@@ -12,11 +12,11 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/horst3180/${MY_PN}"
 	SRC_URI=""
-	KEYWORDS="amd64"
+	KEYWORDS="amd64 x86"
 else
 	EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
 	SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 	S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
 fi
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2021-02-15  0:32 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2021-02-15  0:32 UTC (permalink / raw
  To: gentoo-commits

commit:     578dbf66e81c3a50babf1fb9e95c7652b34b6e5a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 23:34:07 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 15 00:32:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=578dbf66

x11-themes/vertex-icon-theme: fix double KEYWORDS

Double KEYWORDS lines break tools like ekeyword and Nattka.
As per PMS, blank/empty KEYWORDS is implied by not defining
the variable.

See: https://projects.gentoo.org/qa/policy-guide/ebuild-format.html#pg0105
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
index 79ed9e68878..efa82421d75 100644
--- a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,6 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/horst3180/${MY_PN}"
 	SRC_URI=""
-	KEYWORDS="amd64 x86"
 else
 	EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
 	SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2023-02-20 20:52 David Seifert
  0 siblings, 0 replies; 6+ messages in thread
From: David Seifert @ 2023-02-20 20:52 UTC (permalink / raw
  To: gentoo-commits

commit:     07eb6af542b96129564a9252af798048f8af80ae
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 20 20:51:48 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Feb 20 20:51:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07eb6af5

x11-themes/vertex-icon-theme: update EAPI 6 -> 8

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../vertex-icon-theme-20150506-r1.ebuild           | 34 +++++++++++++
 .../vertex-icon-theme-20150506.ebuild              | 58 ----------------------
 2 files changed, 34 insertions(+), 58 deletions(-)

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild
new file mode 100644
index 000000000000..f1a07a683543
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg
+
+MY_PN="vertex-icons"
+EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
+
+DESCRIPTION="Vertex icon theme"
+HOMEPAGE="https://github.com/horst3180/vertex-icons"
+SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
+
+LICENSE="|| ( GPL-3 GPL-2 LGPL-3 CC-BY-SA-3.0 )"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+RDEPEND=">=x11-themes/hicolor-icon-theme-0.10"
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+	default
+	rm COPYING README.md || die
+
+	insinto /usr/share/icons/Vertex
+	doins -r .
+}

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
deleted file mode 100644
index efa82421d755..000000000000
--- a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit gnome2-utils
-
-MY_PN="vertex-icons"
-
-if [[ ${PV} == 9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/horst3180/${MY_PN}"
-	SRC_URI=""
-else
-	EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
-	SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-	S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
-fi
-
-DESCRIPTION="Vertex icon theme"
-HOMEPAGE="https://github.com/horst3180/vertex-icons"
-
-LICENSE="|| ( GPL-3 GPL-2 LGPL-3 CC-BY-SA-3.0 )"
-SLOT="0"
-IUSE=""
-
-RDEPEND="
-	>=x11-themes/hicolor-icon-theme-0.10
-"
-DEPEND=""
-
-# This ebuild does not install any binaries
-RESTRICT="binchecks strip"
-
-src_configure() { :; }
-
-src_compile() { :; }
-
-src_install() {
-	default
-	rm COPYING README.md || die
-
-	insinto /usr/share/icons/Vertex
-	doins -r *
-}
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/
@ 2023-12-07 16:25 Arthur Zamarin
  0 siblings, 0 replies; 6+ messages in thread
From: Arthur Zamarin @ 2023-12-07 16:25 UTC (permalink / raw
  To: gentoo-commits

commit:     75da46732479b1c3ee4009940dcfad4736b23c99
Author:     Matoro Mahri <matoro_gentoo <AT> matoro <DOT> tk>
AuthorDate: Thu Dec  7 05:38:09 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Dec  7 16:25:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75da4673

x11-themes/vertex-icon-theme: unkeyword 20150506-r1 for ~alpha

Bug: https://bugs.gentoo.org/873523
Signed-off-by: Matoro Mahri <matoro_gentoo <AT> matoro.tk>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild
index 36952011e09d..6c918286f149 100644
--- a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506-r1.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
 
 LICENSE="|| ( GPL-3 GPL-2 LGPL-3 CC-BY-SA-3.0 )"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
 # This ebuild does not install any binaries
 RESTRICT="binchecks strip"
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-12-07 16:25 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-07 16:25 [gentoo-commits] repo/gentoo:master commit in: x11-themes/vertex-icon-theme/ Arthur Zamarin
  -- strict thread matches above, loose matches on Subject: below --
2023-02-20 20:52 David Seifert
2021-02-15  0:32 Sam James
2017-02-11 18:31 Pacho Ramos
2016-10-09 10:48 Gilles Dartiguelongue
2016-10-09 10:23 Gilles Dartiguelongue

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox